/// <reference types="graphql" />
import { GraphQLInputType, GraphQLOutputType } from 'graphql';
import { StrongGraphQLInputType, StrongGraphQLOutputType, StrongGraphQLInputOutputType } from './type';
export declare const IntegerType: StrongGraphQLInputOutputType<number>;
export declare const FloatType: StrongGraphQLInputOutputType<number>;
export declare const StringType: StrongGraphQLInputOutputType<string>;
export declare const BooleanType: StrongGraphQLInputOutputType<boolean>;
export declare const IDType: StrongGraphQLInputOutputType<string>;
/**
 * Wraps a `GraphQLType` into a strong GraphQL type with an associated type in
 * the type system. If the `GraphQLType` is a `GraphQLInputType` a
 * `StrongGraphQLInputType` will be returned, if the `GraphQLType` is a
 * `GraphQLOutputType` a `StrongGraphQLOutputType` will be returned, and if the
 * `GraphQLType` is both a `GraphQLInputType` and a `GraphQLOutputType` a
 * `StrongGraphQLInputOutputType` will be returned.
 */
export declare function wrapWeakType<TValue>(type: GraphQLInputType & GraphQLOutputType): StrongGraphQLInputOutputType<TValue>;
export declare function wrapWeakType<TValue>(type: GraphQLInputType): StrongGraphQLInputType<TValue>;
export declare function wrapWeakType<TValue>(type: GraphQLOutputType): StrongGraphQLOutputType<TValue>;
